Subject: Re: snmpconf Recommendations for Policy Language Implementation

From: Jeff Case <[email-masked]>
Date: Mon, 2 Apr 2001 13:37:31 -0400 (EDT)

ray byler>I would like to make some recommendations for the
ray byler>policy language.

ray byler>1.  Nested comments should be allowed.

i think this is fine

ray byler>2.  Our implementation of sprintf(), unlike the C
ray byler>    version, should make sure that the number of
ray byler>    format specifiers in the format string matches
ray byler>    the number of corresponding arguments.  Our version
ray byler>    of sprintf(), unlike the C version (which is call
ray byler>    by value), should be call by reference (to match the rest of
ray byler>    the policy language). 

ray byler>3.  The order of evaluation of arguments to function calls 
ray byler>    should be right-to-left.  This is unspecified in C.
ray byler>    Right-to-left matches the gcc and Turbo C implementations.
ray byler>    The following test program demonstrates how different
ray byler>    compilers evaluate arguments.

i think that both of are fine ... however, could we call it policysprintf() or
some such thing ?

i don't have strong allegiance to any particular name ... confusion avoidance
is the goal --  to make it clear that it is not exactly like sprintf()

please note that we are already enough different to require a name
change, whether or not we follow these 3 recommendations

ray knows i have a strong personal rule prohibiting changing arguments and/or
semantics of a function without renaming the function

my $0.02 worth

regards,
jdc